Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class FaultDAOImpl

    java.lang.Object
      org.apache.ode.dao.jpa.FaultDAOImpl

All Implemented Interfaces:
  FaultDAO

    public class FaultDAOImpl

extends java.lang.Object
implements FaultDAO

Field Summary
`static java.lang.String` | `DELETE_FAULTS_BY_IDS`

Constructor Summary
`FaultDAOImpl()`
`FaultDAOImpl(javax.xml.namespace.QName faultName, java.lang.String explanation, int faultLineNo, int activityId, org.w3c.dom.Element faultMessage)`

Method Summary
`int` | `getActivityId()`
`org.w3c.dom.Element` | `getData()`
`java.lang.String` | `getExplanation()`
`int` | `getLineNo()`
`javax.xml.namespace.QName` | `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELETE_FAULTS_BY_IDS

    public static final java.lang.String DELETE_FAULTS_BY_IDS

See Also:
  Constant Field Values

Constructor Detail

### FaultDAOImpl

    public FaultDAOImpl()

### FaultDAOImpl

    public FaultDAOImpl(javax.xml.namespace.QName faultName,
                        java.lang.String explanation,
                        int faultLineNo,
                        int activityId,
                        org.w3c.dom.Element faultMessage)

Method Detail

### getActivityId

    public int getActivityId()

  Specified by:
    `getActivityId` in interface `FaultDAO`

### getData

    public org.w3c.dom.Element getData()

  Specified by:
    `getData` in interface `FaultDAO`

### getExplanation

    public java.lang.String getExplanation()

  Specified by:
    `getExplanation` in interface `FaultDAO`

### getLineNo

    public int getLineNo()

  Specified by:
    `getLineNo` in interface `FaultDAO`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `FaultDAO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD